Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security
Interface ImportMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

    public interface ImportMBean

extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean

Provides a set of methods for importing provider specific data. A provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when a provider extends this MBean and automatically provides a GUI for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Method Summary
`String[]` | `getSupportedImportConstraints()` Returns the list of import constraints that this provider supports.
`String[]` | `getSupportedImportFormats()` Returns the list of import data formats that this provider supports.
`void` | `importData(String format, String filename, Properties constraints)` Imports provider specific data from a specified format.

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getSupportedImportFormats

    String[] getSupportedImportFormats()

  Returns the list of import data formats that this provider supports.

### getSupportedImportConstraints

    String[] getSupportedImportConstraints()

  Returns the list of import constraints that this provider supports.

### importData

    void importData(String format,
                    String filename,
                    Properties constraints)
                    throws InvalidParameterException,
                           ErrorCollectionException

  Imports provider specific data from a specified format. When errors occur, the MBean throws an ErrorCollectionException containing a list of `java.lang.Exceptions`, where the text of each exception describes the error.

  Parameters:
    `format` - - The format for importing provider specific data.
    `filename` - - The full path to the filename used to read data.
    `constraints` - - The constraints to be used when importing data. A null value indicates that all data will be imported.
  Throws:
    `InvalidParameterException`
    `ErrorCollectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD